################################################################################
# Automatically-generated file. Do not edit!
# Toolchain: GNU Tools for STM32 (11.3.rel1)
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
../HW_Devices/LCD.c \
../HW_Devices/buzzer.c \
../HW_Devices/eeprom.c \
../HW_Devices/iic.c \
../HW_Devices/key.c \
../HW_Devices/rs522.c \
../HW_Devices/touch.c 

OBJS += \
./HW_Devices/LCD.o \
./HW_Devices/buzzer.o \
./HW_Devices/eeprom.o \
./HW_Devices/iic.o \
./HW_Devices/key.o \
./HW_Devices/rs522.o \
./HW_Devices/touch.o 

C_DEPS += \
./HW_Devices/LCD.d \
./HW_Devices/buzzer.d \
./HW_Devices/eeprom.d \
./HW_Devices/iic.d \
./HW_Devices/key.d \
./HW_Devices/rs522.d \
./HW_Devices/touch.d 


# Each subdirectory must supply rules for building sources it contributes
HW_Devices/%.o HW_Devices/%.su HW_Devices/%.cyclo: ../HW_Devices/%.c HW_Devices/subdir.mk
	arm-none-eabi-gcc "$<" -mcpu=cortex-m3 -std=gnu11 -g3 -DDEBUG -DUSE_HAL_DRIVER -DSTM32F103xE -c -I../Core/Inc -I"C:/Users/wuwen/m3s_stm32/SW_APPs" -I"C:/Users/wuwen/m3s_stm32/HW_Devices" -I../Drivers/CMSIS/Device/ST/STM32F1xx/Include -I../Drivers/CMSIS/Include -I../Drivers/STM32F1xx_HAL_Driver/Inc/Legacy -I../Drivers/STM32F1xx_HAL_Driver/Inc -O0 -ffunction-sections -fdata-sections -Wall -fstack-usage -fcyclomatic-complexity -MMD -MP -MF"$(@:%.o=%.d)" -MT"$@" --specs=nano.specs -mfloat-abi=soft -mthumb -o "$@"

clean: clean-HW_Devices

clean-HW_Devices:
	-$(RM) ./HW_Devices/LCD.cyclo ./HW_Devices/LCD.d ./HW_Devices/LCD.o ./HW_Devices/LCD.su ./HW_Devices/buzzer.cyclo ./HW_Devices/buzzer.d ./HW_Devices/buzzer.o ./HW_Devices/buzzer.su ./HW_Devices/eeprom.cyclo ./HW_Devices/eeprom.d ./HW_Devices/eeprom.o ./HW_Devices/eeprom.su ./HW_Devices/iic.cyclo ./HW_Devices/iic.d ./HW_Devices/iic.o ./HW_Devices/iic.su ./HW_Devices/key.cyclo ./HW_Devices/key.d ./HW_Devices/key.o ./HW_Devices/key.su ./HW_Devices/rs522.cyclo ./HW_Devices/rs522.d ./HW_Devices/rs522.o ./HW_Devices/rs522.su ./HW_Devices/touch.cyclo ./HW_Devices/touch.d ./HW_Devices/touch.o ./HW_Devices/touch.su

.PHONY: clean-HW_Devices

